/*
 *
 * Copyright (c) 2018 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Author: Mateusz Moscicki <m.moscicki2@partner.samsung.com>
 */

#define CRASH_BUS_NAME          "org.tizen.system.crash"
#define CRASH_OBJECT_PATH       "/Org/Tizen/System/Crash"
#define CRASH_INTERFACE_NAME        CRASH_BUS_NAME
#define CRASH_PATH_CRASH            CRASH_OBJECT_PATH"/Crash"
#define CRASH_INTERFACE_CRASH       CRASH_INTERFACE_NAME".Crash"
#define PROCESS_CRASHED             "ProcessCrashed"

struct RegInfo {
	char *name;
	long long int value;
};

struct NotifyParams {
	int prstatus_fd;
	pid_t pid;
	pid_t tid;
	char *cmd_name;
	char *cmd_path;
	char *report_path;
	char *appid;
	char *pkgid;
};

int send_notify(const struct NotifyParams *notify_params);
